security/openct - The NetBSD Packages Collection

Smart Card Reader drivers and middleware

Drivers for several smart card readers. OpenCT comes as driver in ifdhandler
format for PC/SC-Lite, as CT-API driver, or as a small and lean middleware,
so applications can use it with minimal overhead. OpenCT also has a primitive
mechanism to export smart card readers to remote machines via TCP/IP.

This package is obsolete.  See pcsc-lite for an alternative.

Build dependencies

pkgtools/cwrappers devel/libtool-base devel/gmake devel/pkgconf

Runtime dependencies

security/pcsc-lite devel/libltdl devel/libltdl

Binary packages

OSArchitectureVersion
NetBSD 8.0earmv7hfopenct-0.6.20nb1.tgz
NetBSD 8.0earmv7hfopenct-0.6.20nb1.tgz
NetBSD 8.0earmv7hfopenct-0.6.20nb1.tgz
NetBSD 8.0i386openct-0.6.20nb1.tgz
NetBSD 8.0i386openct-0.6.20nb1.tgz
NetBSD 8.0powerpcopenct-0.6.20nb1.tgz
NetBSD 8.0powerpcopenct-0.6.20nb1.tgz
NetBSD 8.0powerpcopenct-0.6.20nb1.tgz
NetBSD 8.0powerpcopenct-0.6.20nb1.tgz
NetBSD 8.0x86_64openct-0.6.20nb1.tgz
NetBSD 8.0x86_64openct-0.6.20nb1.tgz
NetBSD 9.0aarch64openct-0.6.20nb1.tgz
NetBSD 9.0aarch64openct-0.6.20nb1.tgz
NetBSD 9.0aarch64openct-0.6.20nb1.tgz
NetBSD 9.0alphaopenct-0.6.20nb1.tgz
NetBSD 9.0alphaopenct-0.6.20nb1.tgz
NetBSD 9.0alphaopenct-0.6.20nb1.tgz
NetBSD 9.0earmv6hfopenct-0.6.20nb1.tgz
NetBSD 9.0earmv6hfopenct-0.6.20nb1.tgz
NetBSD 9.0earmv6hfopenct-0.6.20nb1.tgz
NetBSD 9.0earmv7hfopenct-0.6.20nb1.tgz
NetBSD 9.0earmv7hfopenct-0.6.20nb1.tgz
NetBSD 9.0earmv7hfopenct-0.6.20nb1.tgz
NetBSD 9.0earmv7hfopenct-0.6.20nb1.tgz
NetBSD 9.0i386openct-0.6.20nb1.tgz
NetBSD 9.0i386openct-0.6.20nb1.tgz
NetBSD 9.0i386openct-0.6.20nb1.tgz
NetBSD 9.0mips64ebopenct-0.6.20nb1.tgz
NetBSD 9.0mips64ebopenct-0.6.20nb1.tgz
NetBSD 9.0mips64ebopenct-0.6.20nb1.tgz
NetBSD 9.0mips64ebopenct-0.6.20nb1.tgz
NetBSD 9.0mips64ebopenct-0.6.20nb1.tgz
NetBSD 9.0powerpcopenct-0.6.20nb1.tgz
NetBSD 9.0powerpcopenct-0.6.20nb1.tgz
NetBSD 9.0powerpcopenct-0.6.20nb1.tgz
NetBSD 9.0powerpcopenct-0.6.20nb1.tgz
NetBSD 9.0sparc64openct-0.6.20nb1.tgz
NetBSD 9.0sparc64openct-0.6.20nb1.tgz
NetBSD 9.0sparc64openct-0.6.20nb1.tgz
NetBSD 9.0sparcopenct-0.6.20nb1.tgz
NetBSD 9.0sparcopenct-0.6.20nb1.tgz
NetBSD 9.0sparcopenct-0.6.20nb1.tgz
NetBSD 9.0x86_64openct-0.6.20nb1.tgz
NetBSD 9.0x86_64openct-0.6.20nb1.tgz
NetBSD 9.0x86_64openct-0.6.20nb1.tgz
NetBSD 9.0x86_64openct-0.6.20nb1.tgz
NetBSD 9.0x86_64openct-0.6.20nb1.tgz

Binary packages can be installed with the high-level tool pkgin (which can be installed with pkg_add) or pkg_add(1) (installed by default). The NetBSD packages collection is also designed to permit easy installation from source.

Available build options

libusb
Enable USB access.
pcsc-lite

Known vulnerabilities

The pkg_admin audit command locates any installed package which has been mentioned in security advisories as having vulnerabilities.

Please note the vulnerabilities database might not be fully accurate, and not every bug is exploitable with every configuration.


Problem reports, updates or suggestions for this package should be reported with send-pr.